package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouSupplyChain;
import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouSupplyChainSettlement;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手电商-供应链订单信息
 */
public interface RocketSupplyChainMapper extends BaseMapper<KuaishouSupplyChain> {

    void replace(@Param(value = "adds") List<KuaishouSupplyChain> supplyChains);

    List<JSONObject> getCookie();

    void replaceRuixuanSupplyChains(@Param(value = "adds") List<KuaishouSupplyChain> ruixuanSupplyChains);

    void replaceMgsSupplyChains(@Param(value = "adds") List<KuaishouSupplyChain> mgsSupplyChains);

    void replaceRocketSupplyChains(@Param(value = "adds") List<KuaishouSupplyChain> rocketSupplyChains);

    void replaceYufuSupplyChains(@Param(value = "adds")  List<KuaishouSupplyChain> yufuSupplyChains);

    void replaceYuXiuSupplyChains(@Param("adds") List<KuaishouSupplyChain> yuxiuSupplyChains);

    void replaceZhiShuiSupplyChains(@Param("adds") List<KuaishouSupplyChain> zhiShuiSupplyChains);
}
